Skip to main content
POST
/
registrants
/
create
cURL
curl -X POST "https://api.swoogo.com/api/v1/registrants/create" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -d "event_id=123&email=jane.doe@example.com&first_name=Jane&last_name=Doe&package_id=11&send_email=true"
{
  "created_at": "2022-06-26 14:30:00",
  "updated_at": "2022-06-26 14:30:00"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Query Parameters

override_capacity_errors
string

boolean - optional - If an item is sold out, an error will be shown and the registrant will not be updated. If this flag is enabled, the data will be updated

Example:

""

Body

discount_code
string
Example:

""

email
string
Example:

""

event_id
integer
Example:

123

first_name
string
Example:

""

last_name
string
Example:

""

payment_method
string
Example:

""

po_number
string
Example:

""

registration_status
string
Example:

""

send_email
string
Example:

""

Response

Create Object

created_at
string
Example:

"2022-06-26 14:30:00"

updated_at
string
Example:

"2022-06-26 14:30:00"